Name:           perl-Protocol-SocketIO
Version:        0.06
Release:        1.beta0%{?dist}
Summary:        Socket.IO protocol implementation
License:        Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Protocol-SocketIO/
Source0:        http://www.cpan.org/authors/id/V/VT/VTI/Protocol-SocketIO-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Encode)
BuildRequires:  perl(JSON)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More)
Requires:       perl(Encode)
Requires:       perl(JSON)
Requires:       perl(Scalar::Util)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Protocol::SocketIO is a set of modules that implement Socket.IO protocol
without depending on event loops, HTTP parsers and HTTP servers.

%prep
%setup -q -n Protocol-SocketIO-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes cpanfile LICENSE META.json minil.toml README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jul 22 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.06-2
- First build using cpanspec
